TESTING/EIG/slctes.f(3)

NAME
TESTING/EIG/slctes.f

SYNOPSIS

  Functions/Subroutines
logical function slctes (zr, zi, d)
SLCTES

Function/Subroutine Documentation

  logical function slctes (real zr, real zi, real d)

SLCTES

Purpose:

    !>
    !> SLCTES returns .TRUE. if the eigenvalue (ZR/D) + sqrt(-1)*(ZI/D)
    !> is to be selected (specifically, in this subroutine, if the real
    !> part of the eigenvalue is negative), and otherwise it returns
    !> .FALSE..
    !>
    !> It is used by the test routine SDRGES to test whether the driver
    !> routine SGGES successfully sorts eigenvalues.
    !>

Parameters
    ZR

    !>          ZR is REAL
    !>          The numerator of the real part of a complex eigenvalue
    !>          (ZR/D) + i*(ZI/D).
    !>

    ZI

    !>          ZI is REAL
    !>          The numerator of the imaginary part of a complex eigenvalue
    !>          (ZR/D) + i*(ZI).
    !>

    D

    !>          D is REAL
    !>          The denominator part of a complex eigenvalue
    !>          (ZR/D) + i*(ZI/D).
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 67 of file slctes.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.